function test_pca
%
% run some tests for PCA
%
% Expected signature is [Z, U, D] = PCA(X, m)
%
% where
%       Z is the matrix with the projected results
%       U are the principal components
%       D are the vectors
%
% Note: PCA is *without* centering.
% Note: Data is in the *columns*

begin_test('PCA')
% create an example matrix
X = [ 1, 2, 3, 4, 5;
      6, 7, 8, 9, 10;
      11, 12, 13, 14 ];

[DIM, N] = size(X);

% number of components
M = 4;

[Z, U, D] = PCA(X, M);

% check whether example matrix are equal
assert_equal([DIM, M], size(Z), 'Size of output matrix does not match.')
assert_equal([DIM, DIM], size(U), ['Size of PCs' ...
                    'does not match.'])
assert_equal([1, DIM], size(D) 'Size of PVvs does not match.')

assert_equal([result matrix], Z, 'Output matrix is not correct.')
... und so weiter für den Rest ...

end_test